Skip to main content
PATCH
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://borough.qwady.app/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "listing.created"
  ],
  "active": true
}
'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "active": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "dataAge": "2023-11-07T05:31:56Z",
    "source": "cached",
    "freshnessThreshold": 123,
    "refreshTriggered": true
  }
}

Authorizations

Authorization
string
header
required

Polar.sh license key. Format: BOROUGH-<uuid>

Path Parameters

id
string
required

Body

application/json
url
string<uri>

HTTPS endpoint to receive webhook payloads

events
enum<string>[]
Available options:
listing.created,
listing.price_decreased,
listing.price_increased,
listing.status_changed,
listing.expired
active
boolean

Response

Webhook updated

data
object
meta
object